UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Get an element from an array field by field name

## Functions
LBMSDMExpDLL int | lbmsdm_msg_get_boolean_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, uint8_t *Value)
| Fetch an array field element value from a message by field name. More...
LBMSDMExpDLL int | lbmsdm_msg_get_int8_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, int8_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint8_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, uint8_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_int16_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, int16_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint16_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, uint16_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_int32_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, int32_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint32_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, uint32_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_int64_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, int64_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint64_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, uint64_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_float_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, float *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_double_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, double *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_decimal_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, lbmsdm_decimal_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_timestamp_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, struct timeval *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_message_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, lbmsdm_msg_t **Value)
LBMSDMExpDLL int | lbmsdm_msg_get_string_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, char *Value, size_t *Size)
| Fetch a string array field element value from a message by field name. More...
LBMSDMExpDLL int | lbmsdm_msg_get_unicode_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, wchar_t *Value, size_t *Size)
| Fetch a unicode array field element value from a message by field name. More...
LBMSDMExpDLL int | lbmsdm_msg_get_blob_elem_name (lbmsdm_msg_t *Message, const char *Name, size_t Element, void *Value, size_t *Size)
| Fetch a BLOB array field element value from a message by field name. More...

## Detailed Description

The functions in this group allow the retrieval of an element value of an array field, referenced by field name.

## Function Documentation

LBMSDMExpDLL int lbmsdm_msg_get_blob_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | void * | Value,
|  | size_t * | Size
| ) |  |

Fetch a BLOB array field element value from a message by field name.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Name | Field name.
  Element | Element number (zero-based).
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value in bytes. On exit, it will contain the actual size of the data.

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the data. Size will contain the length required in bytes.
  LBMSDM_FAILURE | otherwise.

LBMSDMExpDLL int lbmsdm_msg_get_boolean_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | uint8_t * | Value
| ) |  |

Fetch an array field element value from a message by field name.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Name | Field name.
  Element | Element number (zero-based).
  Value | Pointer to variable where the value is stored.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_msg_get_decimal_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | lbmsdm_decimal_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_double_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | double * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_float_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | float * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int16_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | int16_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int32_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | int32_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int64_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | int64_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int8_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | int8_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_message_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | lbmsdm_msg_t ** | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_string_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | char * | Value,
|  | size_t * | Size
| ) |  |

Fetch a string array field element value from a message by field name.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Name | Field name.
  Element | Element number (zero-based).
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value (including the terminating null character). On exit, it will contain the actual size of the string (including the terminating null character).

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the string. Size will contain the length required.
  LBMSDM_FAILURE | otherwise.

LBMSDMExpDLL int lbmsdm_msg_get_timestamp_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | struct timeval * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint16_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | uint16_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint32_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | uint32_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint64_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | uint64_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint8_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | uint8_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_unicode_elem_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | size_t | Element,
|  | wchar_t * | Value,
|  | size_t * | Size
| ) |  |

Fetch a unicode array field element value from a message by field name.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Name | Field name.
  Element | Element number (zero-based).
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value in `wchar_t`s. On exit, it will contain the actual size of the data.

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the data. Size will contain the length required in `wchar_t`s.
  LBMSDM_FAILURE | otherwise.